Package org.apache.nutch.rabbitmq

## Class RabbitMQMessage

- java.lang.Object
- - org.apache.nutch.rabbitmq.RabbitMQMessage

-     public class RabbitMQMessage
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RabbitMQMessage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHeader​(String key, Object value)` |
    `byte[]` | `getBody()` |
    `String` | `getContentType()` |
    `Map<String,​Object>` | `getHeaders()` |
    `void` | `setBody​(byte[] body)` |
    `void` | `setContentType​(String contentType)` |
    `void` | `setHeaders​(String headers)` |
    `void` | `setHeaders​(Map<String,​Object> headers)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RabbitMQMessage

          public RabbitMQMessage()

  - ### Method Detail

    - #### getHeaders

          public Map<String,​Object> getHeaders()

    - #### setHeaders

          public void setHeaders​(Map<String,​Object> headers)

    - #### setHeaders

          public void setHeaders​(String headers)

    - #### addHeader

          public void addHeader​(String key,
                                Object value)

    - #### getBody

          public byte[] getBody()

    - #### setBody

          public void setBody​(byte[] body)

    - #### getContentType

          public String getContentType()

    - #### setContentType

          public void setContentType​(String contentType)